Summary: Free reimplementation of the OpenDivX video codec
Name: xvidcore
Version: 1.2.0
Release: 1
License: XviD
Group: System Environment/Libraries
URL: http://www.xvid.org/
Source0: http://downloads.xvid.org/downloads/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: make

%description
Free reimplementation of the OpenDivX video codec. You can play OpenDivX
and DivX4 videos with it, as well as encode compatible files.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Static library, headers and documentation of the XviD video codec
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Free reimplementation of the OpenDivX video codec. You can play OpenDivX
and DivX4 videos with it, as well as encode compatible files.

This package contains the header files and API documentation needed to
build applications that will use the XviD video codec.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q -n %{name}
%patch0


%build
cd build/generic

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc_r -q64"
./configure \
    --prefix=%{_prefix} \
    --disable-shared --enable-static
gmake %{?_smp_mflags}

CreateExportList -X64 libxvidcore.exp \=build/libxvidcore.a
${CC} -qmkshrobj \=build/libxvidcore.a -o shr64.o -bE:libxvidcore.exp -lm
rm -f libxvidcore.exp

gmake distclean

# now build the 32-bit version
export CC="xlc_r"
./configure \
    --prefix=%{_prefix} \
    --disable-shared --enable-static
gmake %{?_smp_mflags}

CreateExportList -X32 libxvidcore.exp \=build/libxvidcore.a
${CC} -qmkshrobj \=build/libxvidcore.a -o shr.o -bE:libxvidcore.exp -lm
rm -f libxvidcore.exp \=build/libxvidcore.a
${AR} -rv \=build/libxvidcore.a shr.o

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q \=build/libxvidcore.a ./shr64.o


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
cd build/generic
gmake DESTDIR=${RPM_BUILD_ROOT} install

# Remove unwanted files from the docs
%{__rm} -f doc/Makefile


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog LICENSE README TODO
%{_libdir}/*.a


%files devel
%defattr(-,root,system,-)
%doc CodingStyle doc/* examples
%{_includedir}/*


%changelog
* Thu Dec 04 2008 Michael Perzl <michael@perzl.org> - 1.2.0-1
- updated to version 1.2.0

* Sat Jan 19 2008 Michael Perzl <michael@perzl.org> - 1.1.3-1
- first version for AIX V5.1 and higher
